TSREMAPFROM/TOURLGET(3ts)

NAME
TSRemapFrom/ToUrlGet - TSRemapFromToUrlGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSRemapFromUrlGet(TSHttpTxn txnp, TSMLoc *urlLocp)

    TSReturnCode TSRemapToUrlGet(TSHttpTxn txnp, TSMLoc *urlLocp)

DESCRIPTION

These functions are useful for transactions where the URL is remapped, due to matching a line in remap.config. TSRemapFromUrlGet() returns the from URL in the matching line in remap.config. TSRemapToUrlGet() returns the to URL in the matching line in remap.config. This info is available at or after the TS_HTTP_POST_REMAP_HOOK hook. If the function returns TS_SUCCESS, the location of the URL is put into the variable pointed to by urlLocp. On error, the function returns TS_ERROR.

COPYRIGHT
2026, dev@trafficserver.apache.org